package com.rubin.mybatis.builder;

import org.dom4j.Element;

import java.util.List;
import java.util.Properties;

/**
 * 抽象建造器 抽离公用逻辑
 * Created by rubin on 2021/3/25.
 */
public abstract class AbstractBuilder {

    /**
     * 读取节点下面所有的property属性并封装成Properties返回
     *
     * @param element
     * @return
     */
    public Properties readElementAsProperties(Element element) {
        List<Element> propertyElementList = element.elements("property");
        Properties properties = new Properties();
        propertyElementList.stream().forEach(propertyElementItem -> {
            String name = propertyElementItem.attributeValue("name"),
                    value = propertyElementItem.attributeValue("value");
            properties.setProperty(name, value);
        });
        return properties;
    }

}
