package com.rubin.mybatis.executor;

import com.rubin.mybatis.pojo.MapperStatement;

import java.sql.SQLException;
import java.util.List;

/**
 * 执行器接口 目前只有查询 可扩展其他操作
 * Created by rubin on 2021/3/7.
 */
public interface Executor {

    /**
     * 执行查询操作
     *
     * @param mapperStatement
     * @param arg
     * @return
     * @throws SQLException
     * @throws NoSuchFieldException
     * @throws IllegalAccessException
     * @throws InstantiationException
     */
    <E> List<E> query(MapperStatement mapperStatement, Object arg) throws SQLException, NoSuchFieldException, IllegalAccessException, InstantiationException;

    /**
     * 执行更新数据库的操作（包括新增、修改和删除）
     *
     * @param mapperStatement
     * @param arg
     * @return
     * @throws Exception
     */
    int update(MapperStatement mapperStatement, Object arg) throws Exception;

    /**
     * 关闭连接
     *
     * @throws SQLException
     */
    void close() throws SQLException;

}
