package com.rubin.mybatis.io;

import java.io.File;
import java.util.Arrays;
import java.util.List;

/**
 * 资源加载工具类
 * Created by rubin on 2021/3/6.
 */
public class Resource {

    /**
     * 加载classpath下面的文件
     *
     * @param resourceLocation
     * @return
     */
    public static File getResource(String resourceLocation) {
        String filePath = Resource.class.getClassLoader().getResource(resourceLocation).getFile();
        return new File(filePath);
    }

    /**
     * 加载classpath文件夹下面的文件列表
     *
     * @param folderLocation
     * @return
     */
    public static List<File> getResources(String folderLocation) {
        File folder = getResource(folderLocation);
        if (folder.isDirectory()) {
            return Arrays.asList(folder.listFiles((dir, name) -> name.endsWith(".xml")));
        }
        throw new RuntimeException("the mapperLocation must be a folder location.");
    }

}
