package com.rubin.mybatis;

import com.rubin.mybatis.dao.IUserDao;
import com.rubin.mybatis.pojo.UserInfo;
import com.rubin.mybatis.sqlsession.SqlSession;
import com.rubin.mybatis.sqlsession.SqlSessionFactoryBuilder;
import org.dom4j.DocumentException;
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.beans.PropertyVetoException;
import java.sql.SQLException;
import java.util.List;

/**
 * 框架测试类
 */
public class MybatisTest {

    private SqlSession sqlSession;

    private IUserDao iUserDao;

    @Before
    public void before() throws DocumentException, PropertyVetoException, ClassNotFoundException, SQLException {
        sqlSession = new SqlSessionFactoryBuilder().build("config.xml").openSession();
        iUserDao = sqlSession.getMapper(IUserDao.class);
    }

    /**
     * 测试增删改查方法
     */
    @Test
    public void mybatisTest() {
        UserInfo userInfo = new UserInfo();
        userInfo.setUsername("测试用户名");
        int row = iUserDao.insert(userInfo);
        Assert.assertEquals(1, row);

        UserInfo selectResult = iUserDao.selectByCondition(userInfo);
        Assert.assertNotNull(selectResult);

        selectResult.setUsername("测试用户名-修改");
        row = iUserDao.update(selectResult);
        Assert.assertEquals(1, row);

        row = iUserDao.delete(selectResult);
        Assert.assertEquals(1, row);

        List<UserInfo> userInfos = iUserDao.selectAll();
        Assert.assertEquals(0, userInfos.size());
    }

    @After
    public void after() throws SQLException {
        sqlSession.close();
    }

}
