package com.rubin.springboot.servlet;

import com.rubin.spring.context.AnnotationApplicationContext;
import com.rubin.spring.mvc.servlet.DispatcherServlet;

import javax.servlet.ServletContainerInitializer;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.ServletRegistration;
import java.util.Set;

/**
 * tomcat启动之后加载该类 并执行onStartup方法
 * Created by RubinChu on 2021/4/28 20:39
 */
public class SpringBootServletContainerInitializer implements ServletContainerInitializer {
    @Override
    public void onStartup(Set<Class<?>> set, ServletContext servletContext) throws ServletException {
        AnnotationApplicationContext annotationApplicationContext = new AnnotationApplicationContext("com.rubin");
        annotationApplicationContext.refresh();
        DispatcherServlet dispatcherServlet = new DispatcherServlet(annotationApplicationContext);
        ServletRegistration.Dynamic registration = servletContext.addServlet("dispatcherServlet", dispatcherServlet);
        registration.setLoadOnStartup(1);
        registration.addMapping("/");
    }
}
