package com.rubin.spring.context.bean;

import com.rubin.spring.context.utils.StringUtil;
import lombok.Data;

import java.io.Serializable;

/**
 * bean属性的定义实体
 */
@Data
public class FieldDefinition implements Serializable {

    private static final long serialVersionUID = 459569594700941920L;

    private String fieldName;

    private Class fieldClass;

    private String ref;

    private String value;

    private InjectType injectType;

    private boolean autowired;

    public boolean isRef() {
        return StringUtil.isNotBlank(ref);
    }

    public boolean isSetInject() {
        return InjectType.SET.equals(injectType);
    }

    public boolean isAutoWired() {
        return autowired;
    }

}
