package com.rubin.spring.context.factory;

/**
 * Bean工厂 负责加载定义的bean实例 并提供获取bean的接口
 */
public interface BeanFactory {

    /**
     * 通过name获取bean
     *
     * @param beanName
     * @return
     */
    Object getBean(String beanName);

    /**
     * 通过类型获取bean
     *
     * @param beanClass
     * @return
     */
    Object getBean(Class<?> beanClass);

    /**
     * 包含某个bean
     *
     * @param beanName
     * @return
     */
    boolean containsBean(String beanName);

}
