package com.rubin.spring.context.processor;

import com.rubin.spring.context.factory.AutowiredBeanFactory;
import com.rubin.spring.context.factory.BeanFactory;

/**
 * 在BeanFactory实例化之后，自定义动作的执行器
 */
public interface BeanFactoryPostProcessor {

    /**
     * 处理BeanFactory初始化之后自定义逻辑
     *
     * @param autowiredBeanFactory
     */
    void postProcessBeanFactory(AutowiredBeanFactory autowiredBeanFactory);

    /**
     * 执行顺序 升序排列执行
     *
     * @return
     */
    Integer getOrder();

}
