package com.rubin.spring.context.processor;

import com.rubin.spring.context.factory.BeanFactory;

/**
 * 在bean实例化并填充之后，注入容器之前自定义包装bean的执行器
 */
public interface BeanPostProcessor {

    /**
     * 在bean注册进容器之前，执行
     *
     * @param beanFactory
     * @param beanName
     * @param beanObject
     * @return
     */
    Object postProcessBeforeRegister(BeanFactory beanFactory, String beanName, Object beanObject);

    /**
     * 执行顺序 升序排列执行
     *
     * @return
     */
    Integer getOrder();

}
