package com.rubin.spring.context.utils;

/**
 * 字符串工具类
 */
public class StringUtil {

    /**
     * 空串常量
     */
    public static final String EMPTY = "";

    /**
     * 字符串判空
     *
     * @param s
     * @return
     */
    public static boolean isBlank(String s) {
        return null == s || StringUtil.EMPTY.equals(s);
    }

    /**
     * 字符串集合是否有空字符判断
     *
     * @param stringArr
     * @return
     */
    public static boolean isAnyBlank(String... stringArr) {
        for (int i = 0; i < stringArr.length; i++) {
            if (StringUtil.isBlank(stringArr[i])) {
                return true;
            }
        }
        return false;
    }

    /**
     * 字符串集合是否都不为空
     *
     * @param stringArr
     * @return
     */
    public static boolean isNoneBlank(String... stringArr) {
        return !StringUtil.isAnyBlank(stringArr);
    }

    /**
     * 字符串判非空
     *
     * @param s
     * @return
     */

    public static boolean isNotBlank(String s) {
        return !StringUtil.isBlank(s);
    }

}
