package com.rubin.spring.context;

import com.rubin.spring.context.beans.A;
import com.rubin.spring.context.beans.Address;
import com.rubin.spring.context.beans.B;
import com.rubin.spring.context.beans.Order;
import org.junit.Assert;
import org.junit.Test;

/**
 * 容器测试类
 * Created by rubin on 4/3/21.
 */
public class ApplicationContextTest {

    /**
     * 按名称获取bean测试
     */
    @Test
    public void getBeanByNameTest() {
        ApplicationContext applicationContext = new ClassPathXmlApplicationContext("beans.xml");
        Order order = (Order) applicationContext.getBean("order");
        Address address = (Address) applicationContext.getBean("address");
        A a = (A) applicationContext.getBean("a");
        B b = (B) applicationContext.getBean("b");
        Assert.assertNotNull(order);
        Assert.assertNotNull(address);
        Assert.assertNotNull(a);
        Assert.assertNotNull(b);
    }

    /**
     * 按类型获取bean测试
     */
    @Test
    public void getBeanByTypeTest() {
        ApplicationContext applicationContext = new ClassPathXmlApplicationContext("beans.xml");
        Order order = (Order) applicationContext.getBean(Order.class);
        Address address = (Address) applicationContext.getBean(Address.class);
        A a = (A) applicationContext.getBean(A.class);
        B b = (B) applicationContext.getBean(B.class);
        Assert.assertNotNull(order);
        Assert.assertNotNull(address);
        Assert.assertNotNull(a);
        Assert.assertNotNull(b);
    }

}
