package com.rubin.client.controller;

import com.rubin.client.pojo.AccountInfo;
import com.rubin.client.service.IAccountService;
import com.rubin.spring.context.annotation.Autowired;
import com.rubin.spring.mvc.annotation.RequestMapping;
import com.rubin.spring.mvc.annotation.RestController;
import com.rubin.spring.mvc.annotation.Security;

/**
 * Created by rubin on 4/4/21.
 */
@RestController
@RequestMapping("test")
public class TestController {

    @Autowired
    private IAccountService iAccountService;

    /**
     * 只有zhangsan lisi两个用户可以调用
     *
     * @param cardNo
     * @return
     */
    @Security(values = {"zhangsan", "lisi"})
    @RequestMapping("get")
    public AccountInfo get(String cardNo) {
        return iAccountService.getByCardNo(cardNo);
    }

    /**
     * 任何人都可以调用
     *
     * @param username
     * @return
     */
    @RequestMapping("get1")
    public String get1(String username) {
        return "hello " + username;
    }

    /**
     * 任何用户都不可以调用
     *
     * @return
     */
    @Security
    @RequestMapping("get2")
    public String get2() {
        return "hello";
    }

}
