package com.rubin.client.service;

import com.rubin.client.pojo.AccountInfo;

import java.lang.reflect.UndeclaredThrowableException;
import java.math.BigDecimal;

/**
 * 账户信息处理类接口
 */
public interface IAccountService {

    /**
     * 通过卡号获取账户详情
     *
     * @param cardNo
     * @return
     */
    AccountInfo getByCardNo(String cardNo);

    /**
     * 转账
     *
     * @param fromCardNo
     * @param toCardNo
     * @param money
     * @throws UndeclaredThrowableException
     */
    void transfer(String fromCardNo, String toCardNo, BigDecimal money);

}
