package com.rubin.spring.mybatis.manager;

import com.rubin.mybatis.connection.ConnectionFactory;
import com.rubin.spring.ex.manager.TransactionManager;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.sql.SQLException;

/**
 * 事务控制器
 */
@NoArgsConstructor
@AllArgsConstructor
public class MybatisTransactionManager implements TransactionManager {

    private ConnectionFactory connectionFactory;

    public void setConnectionFactory(ConnectionFactory connectionFactory) {
        this.connectionFactory = connectionFactory;
    }

    /**
     * 开始事务
     */
    @Override
    public void start() throws SQLException {
        connectionFactory.getConnection().setAutoCommit(false);
    }

    /**
     * 提交事务
     */
    @Override
    public void commit() throws SQLException {
        connectionFactory.getConnection().commit();
    }

    /**
     * 回滚事务
     */
    @Override
    public void rollback() throws SQLException {
        connectionFactory.getConnection().rollback();
    }

}
