package com.rubin.spring.mybatis.utils;

import java.lang.reflect.Method;

/**
 * 注解工具类
 */
public class AnnotationUtil {

    /**
     * 检查该类是否有该注解
     *
     * @param clazz
     * @param annotationClass
     * @return
     */
    public static boolean hasAnnotation(Class clazz, Class annotationClass) {
        if (clazz.getAnnotation(annotationClass) != null) {
            return true;
        }
        Class[] interfaces = clazz.getInterfaces();
        if (interfaces == null || interfaces.length == 0) {
            return false;
        }
        for (int i = 0; i < interfaces.length; i++) {
            if (interfaces[i].getAnnotation(annotationClass) != null) {
                return true;
            }

        }
        return false;
    }

    /**
     * 检查该方法是否有该注解
     *
     * @param method
     * @param annotationClass
     * @return
     */
    public static boolean hasAnnotation(Method method, Class annotationClass) {
        return method.getAnnotation(annotationClass) != null;
    }

}
